-- using 821113228 as a seed to the RNG

/* TPC_H  Query 19 - Discounted Revenue */

SELECT 	SUM(L_EXTENDEDPRICE* (1 - L_DISCOUNT))	AS REVENUE
FROM	LINEITEM,
	PART
WHERE	(	P_PARTKEY	= L_PARTKEY						AND
		P_BRAND		= 'Brand#31'							AND
		P_CONTAINER	IN ( 'SM CASE', 'SM BOX', 'SM PACK', 'SM PKG')		AND
		L_QUANTITY	>= 5							AND
		L_QUANTITY	<= 5 + 10						AND
		P_SIZE		BETWEEN 1 AND 5						AND
		L_SHIPMODE	IN ('AIR', 'AIR REG')					AND
		L_SHIPINSTRUCT	= 'DELIVER IN PERSON'
	)
	OR
	(	P_PARTKEY	= L_PARTKEY						AND
		P_BRAND		= 'Brand#43'							AND
		P_CONTAINER	IN ( 'MED BAG', 'MED BOX', 'MED PKG', 'MED PACK')	AND
		L_QUANTITY	>= 13							AND
		L_QUANTITY	<= 13 + 10						AND
		P_SIZE		BETWEEN 1 AND 10					AND
		L_SHIPMODE	IN ('AIR', 'AIR REG')					AND
		L_SHIPINSTRUCT	= 'DELIVER IN PERSON'
	)
	OR
	(	P_PARTKEY	= L_PARTKEY						AND
		P_BRAND		= 'Brand#45'							AND
		P_CONTAINER	IN ( 'LG CASE', 'LG BOX', 'LG PACK', 'LG PKG')		AND
		L_QUANTITY	>= 30							AND
		L_QUANTITY	<= 30 + 10						AND
		P_SIZE		BETWEEN 1 AND 15					AND
		L_SHIPMODE	IN ('AIR', 'AIR REG')					AND
		L_SHIPINSTRUCT	= 'DELIVER IN PERSON'
	)
