set statistics time on
go

if exists (select name from sysobjects  where name = 'NEWOLDORDERS') 
			drop table NEWOLDORDERS
go
select 
OLD.O_ORDERKEY O_ORDERKEY, O_ORDERDATE,L_SHIPDATE into NEWOLDORDERS
from 
[dbo].[OLDORDERS] OLD
inner hash join ORDERS [CURRENT] on OLD.O_ORDERKEY=[CURRENT].O_ORDERKEY
inner hash join LINEITEM on OLD.O_ORDERKEY=L_ORDERKEY
option(maxdop 40)
go
--create index OLD_ORDERS on NEWOLDORDERS (O_ORDERDATE,O_ORDERKEY) with (maxdop= 20)
go
--create index OLD_LINEITEM on NEWOLDORDERS (L_SHIPDATE,O_ORDERKEY) with (maxdop= 20)
go
--create index OLD_DC on NEWOLDORDERS (O_ORDERDATE,L_SHIPDATE,O_ORDERKEY) with (maxdop= 20)
go

CREATE STATISTICS [O_ORDERDATE] ON [dbo].NEWOLDORDERS([O_ORDERDATE])
CREATE STATISTICS [O_ORDERKEY] ON [dbo].NEWOLDORDERS([O_ORDERKEY])
CREATE STATISTICS [L_SHIPDATE] ON [dbo].NEWOLDORDERS([L_SHIPDATE])
go
